import { Observable, Observer } from 'rxjs';
export interface ActionEvent {
    title?: string;
    type?: string;
    $event?: any;
    [key: string]: any;
}
export declare class EmitterContract<T extends ActionEvent = ActionEvent> {
    constructor();
    emit: (payload: T) => void;
    typeOf: (type: string) => Observable<T>;
    listen: () => Observer<T>;
}
