import { Observable } from 'rxjs';
export declare class KeyValueStoreContract {
    get$: (key: string, defaultValue?: string) => Observable<string>;
    set$: (key: string, value: string) => Observable<string>;
    remove$: (key: string) => Observable<string>;
    get: (key: string, defaultValue?: string) => string;
    set: (key: string, value: string) => string;
    remove: (key: string) => string;
}
