import { Observable } from 'rxjs';
import { JSONContract } from './common';
export declare class SQLStoreContract {
    create: (payload: JSONContract) => Observable<JSONContract>;
    retrieveOne: (id: string) => Observable<JSONContract>;
    retrieveMany: (filter: JSONContract) => Observable<JSONContract[]>;
    update: (id: string, payload: JSONContract) => Observable<JSONContract>;
    remove: (id: string) => Observable<JSONContract>;
}
