import { PipeTransform } from '@angular/core';
import { Observable } from 'rxjs';
import { PrivilegeService } from '../services/privilege.service';
import { AuthContract } from '../contracts';
/**
 * USAGE:
 * entity | of: ability
 *
 * EXAMPLE:
 * user | of: 'create' | async
 */
export declare class PrivilegePipe implements PipeTransform {
    private privilege;
    private auth;
    constructor(privilege: PrivilegeService, auth: AuthContract);
    transform(entity: string, ability: string): Observable<boolean>;
}
