import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
import { ConfigContract, JSONContract } from '../contracts';
export declare const CONFIG_DATA: InjectionToken<JSONContract>;
export declare class Config implements ConfigContract {
    private config;
    constructor(config: JSONContract);
    select$<T = any>(key: string, source?: JSONContract): Observable<T>;
    select<T = any>(key: string, source?: JSONContract): T;
}
