import { Observable, Subject, Observer } from 'rxjs';
import { EmitterContract, ActionEvent } from '../contracts';
export declare class Emitter<T extends ActionEvent = ActionEvent> implements EmitterContract<T> {
    actions: Subject<T>;
    constructor();
    emit(payload: T): void;
    typeOf(type: string): Observable<T>;
    listen(): Observer<T>;
}
