import { InjectionToken } from '@angular/core';
import { JSONContract } from '../contracts';
export declare const PRIVILEGE_ENTITIES_DATA: InjectionToken<Object>;
export declare class PrivilegeService<U = JSONContract> {
    private entity;
    private user;
    private policy;
    private privileges;
    constructor(privileges: JSONContract);
    of(user: U): this;
    on(entity: string): this;
    for(ability: string): boolean;
    private canCreate;
    private canRead;
    private canUpdate;
    private canDelete;
    private can;
    private creatable;
    private readable;
    private updateable;
    private deleteable;
    private able;
}
