import { Observable } from 'rxjs';
import { KeyValueStoreContract } from '../contracts';
export declare class WebStore implements KeyValueStoreContract {
    agent: Storage;
    constructor(agent: Storage);
    get$(key: string, defaultValue?: string): Observable<string>;
    set$(key: string, value: string): Observable<string>;
    remove$(key: string): Observable<string>;
    get(key: string, defaultValue?: string): string;
    set(key: string, value: string): string;
    remove(key: string): string;
}
