import { Observable } from 'rxjs';
import { JSONContract } from './common';
export declare class AuthContract {
    signInUrl: string;
    intendedUrl: string;
    dashboardUrl: string;
    verifyUrl: string;
    prevUrl: () => string;
    signIn: (email: string, password: string) => Observable<boolean>;
    signOut: () => Observable<boolean>;
    check: () => Observable<boolean>;
    user: () => Observable<JSONContract>;
    csrf?: () => Observable<JSONContract>;
    token?: () => string;
}
