import { Observable } from 'rxjs';
import { JSONContract } from './common';
export declare class ConfigContract {
    /**
     * select('app.brand.name')
     * @param key
     */
    select$: <T = any>(key: string, source?: JSONContract) => Observable<T>;
    /**
     * Synchronous version
     * select('app.brand.name')
     * @param key
     */
    select: <T = any>(key: string, source?: JSONContract) => T;
}
