import { Observable } from 'rxjs';
import { JSONContract } from './common';
export declare class HttpStoreContract {
    get: (url: string) => Observable<JSONContract>;
    post: (url: string, payload: JSONContract) => Observable<JSONContract>;
    put: (url: string, payload: JSONContract) => Observable<JSONContract>;
    patch: (url: string, payload: JSONContract) => Observable<JSONContract>;
    delete: (url: string) => Observable<JSONContract>;
}
