import { Observable } from 'rxjs';
import { NavigationStart, NavigationError, NavigationCancel, NavigationEnd } from '@angular/router';
export declare class RoutingStateContract {
    loadRouting: () => void;
    getHistory: () => string[];
    getPreviousUrl: () => string;
    onStart: () => Observable<NavigationStart>;
    onError: () => Observable<NavigationError>;
    onCancel: () => Observable<NavigationCancel>;
    onEnd: () => Observable<NavigationEnd>;
}
