import { CanActivate, CanActivateChild, Router, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthContract } from '../contracts';
export declare class AuthGuard implements CanActivate, CanActivateChild {
    protected router: Router;
    protected auth: AuthContract;
    constructor(router: Router, auth: AuthContract);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean>;
    canActivateChild(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean>;
}
