import * as fromSelectors from './router-store.selectors';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
export declare class RouterStoreService {
    store: Store<fromSelectors.State>;
    constructor(store: Store<fromSelectors.State>);
    currentRoute(): Observable<any>;
    selectQueryParams(): Observable<any>;
    selectQueryParam(param: string): Observable<any>;
    selectRouteParams(): Observable<any>;
    selectRouteParam(param: string): Observable<any>;
    selectRouteData(): Observable<any>;
    selectUrl(): Observable<any>;
}
