import { Router, NavigationEnd, NavigationError, NavigationStart, NavigationCancel } from '@angular/router';
import { Observable } from 'rxjs';
import { RoutingStateContract } from '../contracts/routing-state.contract';
export declare class RoutingStateService implements RoutingStateContract {
    private router;
    private history;
    constructor(router: Router);
    loadRouting(): void;
    getHistory(): string[];
    getPreviousUrl(): string;
    onStart(): Observable<NavigationStart>;
    onError(): Observable<NavigationError>;
    onCancel(): Observable<NavigationCancel>;
    onEnd(): Observable<NavigationEnd>;
}
