import { Injector } from '@angular/core';
import { UrlSegment, UrlSegmentGroup, Route } from '@angular/router';
export declare function time(): Date;
/**
 * set up a handle for injector
 * to be used to inject services without the contructor
 */
export declare let injector: Injector;
export declare function setInjector(anInjector: Injector): void;
export declare function outject(service: any): any;
export declare function keys(obj: Object): string[];
export declare function cut(oldStr: any, fullStr: any): any;
export declare function titleCase(words: string, seperator?: string, joiner?: string): string;
export declare function camelCase(words: string, seperator?: string, joiner?: string): string;
export declare function merge(...objects: Object[]): Object;
export declare function mergeToArray(...items: any[]): any[];
export declare function hash(input?: string): string;
export declare function plural(word: string): string;
export declare function singular(word: string): string;
export declare function snakeCase(words: string, seperator?: string, joiner?: string): string;
export declare function isNumeric(str: string): boolean;
export declare function isNullOrUndefined(value: any): boolean;
export declare function isUndefined(value: any): boolean;
export declare function isBlankString(value: any): boolean;
export declare function isFunction(value: any): boolean;
export declare function isObject(x: any): boolean;
export declare function isArray(x: any): boolean;
export declare function toJSON(mayBeJSON: string, returnJSON?: boolean): any;
export declare type compareType = string | 'string' | 'number' | 'time';
export declare function compare(a: any, b: any, isAsc: boolean, type: compareType): number;
export declare function routeGroupMatcher(haystack: string[]): (segments: UrlSegment[], segmentGroup: UrlSegmentGroup, route: Route) => {
    consumed: UrlSegment[];
};
export declare function numberWithCommas(number: number): string;
export declare function objectGroupBy(input: any[], key: any): Object;
export declare function arrayGroupBy(input: any[], key: any): any[];
export declare function objectDeepMerge(input: Object[]): Object;
export declare function randomString(length?: number): string;
export declare function isObservable(mayBeObservable: any): boolean;
export declare function copy(obj: Object): Object;
export declare function deepCopy(input: Object | Object[]): Object;
export declare const catchRxErrors: (onError?: (e: any) => void, toReturn?: any) => import("rxjs").OperatorFunction<unknown, any>;
